> For the complete documentation index, see [llms.txt](https://docs.sportradar.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.sportradar.com/ufc-5.0/mobile-app-integration/android-sdk.md).

# Android SDK

#### Using Github Packages Maven repository

Add the repository to your build.gradle file

```
repositories {
     maven {
            url = uri("https://maven.pkg.github.com/IMGARENA/front-row-seat-android-package")
            credentials {
                username = "username"
                password = "password"
            }
        }
}
```

Add the package dependencies to your build.gradle file

```
dependencies {

...

implementation 'com.imgarena:eventcentre:1.0.0'
}
```

#### Adding the library locally to the project

Copy the eventcentre.aar to the libs folder of your application:

Then include the event centre in the dependencies section of your application:

```
dependencies {
   implementation(name:'eventcentre', ext:'aar')
}
```

### Usage

#### Initialising the SDK

**Configuration parameters**

| Name         | Type   | Description                                      |
| ------------ | ------ | ------------------------------------------------ |
| operator     | string | your unique operator Id name                     |
| sport        | string | "golf"                                           |
| version      | string | the version of the Event Centre                  |
| eventId      | string | refers to the event you wish to display          |
| targetModule | string | specifies the module that the app should display |
| language     | string | ISO code for the language of the translations    |

**Sample initialisation for UFC:**

```
var params: EventCentreParams = EventCentreParams(
    operator = "[OPERATOR-NAME]",
    sport = "ufc",
    version = "5.x",
    eventId = "207",
    targetModule = "full",
    language = "en"
)

// Optionally initialise a context
params.initialContext = mapOf(
	"view" to "matchup",
)
```

**Creating the Event Center instance**

```
var imga = EventCentre(container, params )
```

#### Event Centre: Emitting Messages

The **emitMessage** method is available on the instance of the eventCentre, it is used to send messages to the Event Centre. Only supported message topics will be passed to the Event Centre.

```
fun emitMessage(topic: EventCentreMessageTopics, message: EventCentreMessage)
```

The **EventCentreMessageTopics** enumcontains the following values:

* HANDSHAKE\_FAILED: Dedicated topic to signify the handshake between Event Centre and your site failed to complete. This topic is emitted by the integration library, it should only be subscribed to, not emitted.
* CONTEXT\_UPDATE: Topic for covering general UI state updates, for example navigation changes or the user selecting a player in the UI.
* SELECTION\_UPDATE: Dedicated topic for handling user selection updates. The selected field within the message data handles both selecting and deselecting updates.
* ERROR: Topic sent if the SDK had any problem to be initialised. This topic is emitted by the integration library, it should only be subscribed to, not emitted.

The **EventCentreMessage** type is an alias of a HashMap\<String, Any> class. Keys must be Strings and the Values can be any type.

**Updating the Context**

There is a convenience method to update the context:

```
fun updateContext ( context: EventCentreContext) {
```

This method will update the context of the widget, and receives only the parameter context of type **EventCentreContext**. This type is a subclass of **EventCentreMessage**.

**GOLF context params**

| Name         | Type             | Description                                       |
| ------------ | ---------------- | ------------------------------------------------- |
| view         | string           | The name of the active view                       |
| tournamentId | number or string | Identifier for the tournament                     |
| roundNo      | number or string | The round the user is currently viewing data from |
| holeNo       | number or string | The hole the user is currently viewing data from  |
| playerNo     | number or string | The player's ID                                   |
| groupNo      | number or string | The group's ID                                    |
| courseId     | number or string | The course's ID                                   |

#### Event Centre: Receiving Messages

In order to subscribe to different messages emitted by the SDK, the **EventCentreListener** interface must be implemented.

```
class TestActivity : AppCompatActivity(), EventCentreListener {
```

**Subscribing to status changes**

The SDK will send every change in its status using the following Listener method:

```
override fun onStatusChanged(status: EventCentreStatus) {
    Log.d("eventcentretest", "Transition to status: ${status.name}")

    Toast.makeText(this, status.toString(), Toast.LENGTH_SHORT).show()
}
```

The **EventCentreStatus** enum contains the following values:

* INITIALISING: the SDK is initialising and not fully loaded.
* ACTIVE: the SDK is ready to interact.
* EMITTING\_MESSAGE: the SDK is emitting a message.
* INACTIVE: the SDK is closed and can't receive any message.

**Subscribing to new messages**

To receive context or selection updates from the SDK, the host app must subscribe to the Listener using this method:

```
override fun onMessageReceived(topic: EventCentreMessageTopics, message: JSONObject) {
    Log.d("eventcentretest", "Message received: $message")
    Toast.makeText(this, message.toString(2), Toast.LENGTH_SHORT).show()
}
```

The **EventCentreMessageTopics** enumcontains the following values:

* HANDSHAKE\_FAILED: Dedicated topic to signify the handshake between Event Centre and your site failed to complete. This topic is emitted by the integration library, it should only be subscribed to, not emitted.
* CONTEXT\_UPDATE: Topic for covering general UI state updates, for example navigation changes or the user selecting a player in the UI.
* SELECTION\_UPDATE: Dedicated topic for handling user selection updates. The selected field within the message data handles both selecting and deselecting updates.
* ERROR: Topic sent if the SDK had any problem to be initialised. This topic is emitted by the integration library, it should only be subscribed to, not emitted.

#### Stop the sdk

```
// Instance the sdk
var imga = EventCentre(container, params )

// Close the instance
imga.close()
```

IMGA SDK is owned and maintained by the IMGA Development team.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.sportradar.com/ufc-5.0/mobile-app-integration/android-sdk.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
